diff test.sh @ 1:8138277ea0e5 draft

planemo upload for repository https://github.com/bardin-lab/tag_reads/tree/master/galaxy commit e4243f5ba5d89a06c1ae68cc49d830f1b6e9cb46
author mvdbeek
date Wed, 08 Feb 2017 03:36:05 -0500
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/test.sh	Wed Feb 08 03:36:05 2017 -0500
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+set -e
+
+if grep -v 'python tag_reads.py' bam_tag_reads.xml
+then
+    sed -i.bak 's/tag_reads -t/python \$__tool_directory__\/tag_reads.py -t/g' bam_tag_reads.xml
+fi
+cp ../tag_reads/tag_reads.py .
+planemo test --conda_prefix ~/miniconda3